#!/usr/bin/env node

'use strict';

const vorpal = require('vorpal')();

// Actions
const gNewProject = require('./generators/new');

vorpal
    .command('new <name>')
    .option('-f, --flux', 'Generate React project with Flux')
    .description('Generate a new React Project')
    .action(gNewProject);

vorpal
    .delimiter('react')
    .show()
    .parse(process.argv);
